/**
* Copyright (C) 2016 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.databaseAdmin.wizard;

import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;

import eu.etaxonomy.cdm.io.common.SortIndexUpdaterConfigurator;
import eu.etaxonomy.taxeditor.l10n.Messages;

/**
 * @author k.luther
 * @date 06.12.2016
 *
 */
public class DatabaseRepairSortIndexPage extends WizardPage {

    SortIndexUpdaterConfigurator config = null;
    /**
     * @param pageName
     */
    protected DatabaseRepairSortIndexPage(String pageName, SortIndexUpdaterConfigurator config){
        super(pageName);
        this.config = config;
        setMessage(Messages.DatabaseRepairPage_chooseParameter);
    }








    /**
     * {@inheritDoc}
     */
    @Override
    public void createControl(Composite parent) {
        final Composite composite = new Composite(parent, SWT.NULL);

        GridLayout gridLayout = new GridLayout();
        composite.setLayout(gridLayout);

        Button checkBoxTaxonNode = new Button(composite, SWT.CHECK);
        checkBoxTaxonNode.setSelection(config.isDoTaxonNode());
        checkBoxTaxonNode.setText(Messages.DatabaseRepairPage_updateTaxonNodes);
        checkBoxTaxonNode
                .setToolTipText(Messages.DatabaseRepairPage_toolTip_taxonNode);
        checkBoxTaxonNode.addSelectionListener(new SelectionAdapter() {
            @Override
            public void widgetSelected(SelectionEvent e) {
                config.setDoTaxonNode(!config.isDoTaxonNode());
            }
        });

        Button checkBoxPolytomousKeyNode = new Button(composite, SWT.CHECK);
        checkBoxPolytomousKeyNode.setSelection(config.isDoPolytomousKeyNode());
        checkBoxPolytomousKeyNode.setText(Messages.DatabaseRepairPage_PolytomousKeyNode);
        checkBoxPolytomousKeyNode
        .setToolTipText(Messages.DatabaseRepairPage_toolTip_polytomousKeyNode);
        checkBoxPolytomousKeyNode.addSelectionListener(new SelectionAdapter() {
            @Override
            public void widgetSelected(SelectionEvent e) {
                config.setDoPolytomousKeyNode(!config.isDoPolytomousKeyNode());
            }
        });

        Button checkBoxFeatureNode = new Button(composite, SWT.CHECK);
        checkBoxFeatureNode.setSelection(config.isDoFeatureNode());
        checkBoxFeatureNode.setText(Messages.DatabaseRepairPage_featureNodes);
        checkBoxFeatureNode
        .setToolTipText(Messages.DatabaseRepairPage_toolTipFeatureNodes);
        checkBoxFeatureNode.addSelectionListener(new SelectionAdapter() {
            @Override
            public void widgetSelected(SelectionEvent e) {
                config.setDoFeatureNode(!config.isDoFeatureNode());
            }
        });



        setControl(composite);

    }



}
