/**
* Copyright (C) 2016 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.databaseAdmin.wizard;

import org.eclipse.core.runtime.jobs.Job;
import org.eclipse.jface.wizard.Wizard;

import eu.etaxonomy.cdm.config.ICdmSource;
import eu.etaxonomy.cdm.io.common.CacheUpdaterConfigurator;
import eu.etaxonomy.cdm.io.common.SortIndexUpdaterConfigurator;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author k.luther
 * @date 06.12.2016
 *
 */
public class DatabaseRepairWizard extends Wizard {
   // private final DatabaseRepairSortIndexPage repairSortIndexPage;
    private final Test test;
    SortIndexUpdaterConfigurator config;
    CacheUpdaterConfigurator cacheUpdaterConfig;



    public DatabaseRepairWizard() {
        setWindowTitle("Database Repair Wizard");
        config = SortIndexUpdaterConfigurator.NewInstance(null);
       // repairSortIndexPage = new DatabaseRepairSortIndexPage("SortIndex Repair",config);
        cacheUpdaterConfig = CacheUpdaterConfigurator.NewInstance(null);
        test = new Test("Test", cacheUpdaterConfig, config);

    }

    /**
     * {@inheritDoc}
     */
    @Override
    public boolean performFinish() {

            if (config == null){
                ICdmSource source= CdmStore.getActiveCdmSource();
                config = SortIndexUpdaterConfigurator.NewInstance(null);
                config.setDoFeatureNode(false);
                config.setDoPolytomousKeyNode(false);

             }
            if (config.isDoFeatureNode() || config.isDoPolytomousKeyNode() || config.isDoTaxonNode()){
                Job updateJob = CdmStore.getImportManager().createIOServiceJob(config);
                CdmStore.getImportManager().run(updateJob);
            }
            if (!cacheUpdaterConfig.getClassList().isEmpty()){
                Job updateJob2 = CdmStore.getImportManager().createIOServiceJob(cacheUpdaterConfig);
                CdmStore.getImportManager().run(updateJob2);
            }



        return true;
    }

    @Override
    public void addPages() {
       //addPage(repairSortIndexPage);
        addPage(test);
    }


}
