
//$Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.dnd.transfer;

import java.util.UUID;

import eu.etaxonomy.cdm.api.service.ITaxonNodeService;
import eu.etaxonomy.cdm.model.taxon.TaxonNode;
import eu.etaxonomy.taxeditor.model.CdmObjectTransfer;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * Drag / Drop Transfer object for Taxon Node 
 * 
 * @author c.mathew
 * @created Mar 25, 2013
 */
public class TaxonNodeTransfer extends CdmObjectTransfer<TaxonNode> {

	private static TaxonNodeTransfer instance = new TaxonNodeTransfer();
	private static final String TYPE_NAME = "taxonNode-transfer-format";
	private static final int TYPEID = registerType(TYPE_NAME);
	
	public static synchronized TaxonNodeTransfer getInstance(){
		return instance;
	}
	
	private TaxonNodeTransfer(){}
	
	/* (non-Javadoc)
	 * @see org.eclipse.swt.dnd.Transfer#getTypeIds()
	 */
	@Override
	protected int[] getTypeIds() {
		return new int[] { TYPEID };
	}

	/* (non-Javadoc)
	 * @see org.eclipse.swt.dnd.Transfer#getTypeNames()
	 */
	@Override
	protected String[] getTypeNames() {
		return new String[] { TYPE_NAME };
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.model.CdmObjectTransfer#loadElement(java.util.UUID)
	 */
	@Override
	public TaxonNode loadElement(UUID uuid) {
		return CdmStore.getService(ITaxonNodeService.class).load(uuid, null);
	}
}
