/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.handler;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.core.commands.IHandler;
import org.eclipse.jface.wizard.WizardDialog;

import eu.etaxonomy.cdm.model.common.User;
import eu.etaxonomy.taxeditor.model.AbstractUtility;
import eu.etaxonomy.taxeditor.model.MessagingUtils;
import eu.etaxonomy.taxeditor.store.CdmStore;
import eu.etaxonomy.taxeditor.ui.password.PasswordWizard;

/**
 * <p>ShowLoginWindowHandler class.</p>
 *
 * @author n.hoffmann
 * @created Aug 7, 2009
 * @version 1.0
 */
public class OpenPasswordWizzardHandler extends AbstractHandler implements IHandler{

	/* (non-Javadoc)
	 * @see org.eclipse.core.commands.IHandler#execute(org.eclipse.core.commands.ExecutionEvent)
	 */
	/** {@inheritDoc} */
	@Override
    public Object execute(ExecutionEvent event) throws ExecutionException {

	    Object principal = CdmStore.getCurrentAuthentiation().getPrincipal();

	    if(principal instanceof User){

	        PasswordWizard wizard = new PasswordWizard((User)principal, null);
	        WizardDialog dialog = new WizardDialog(AbstractUtility.getShell(), wizard);

	        dialog.open();

	    } else {
	        // should never happen, log an error
	        MessagingUtils.error(OpenPasswordWizzardHandler.class, "The principal currently authenticated is not a eu.etaxonomy.cdm.model.common.User", null);
	    }

		return null;

	}



}
