package eu.etaxonomy.taxeditor.handler.defaultHandler;

import java.util.UUID;

import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.jface.wizard.WizardDialog;
import org.eclipse.ui.PlatformUI;

import eu.etaxonomy.cdm.api.service.IClassificationService;
import eu.etaxonomy.cdm.model.taxon.Classification;
import eu.etaxonomy.taxeditor.newWizard.NewClassificationWizard;
import eu.etaxonomy.taxeditor.store.CdmStore;

public class DefaultOpenClassificationWizardHandler extends DefaultOpenHandlerBase<Classification> {

    @Override
    protected Classification getEntity(UUID uuid) {
        return CdmStore.getService(IClassificationService.class).load(uuid);
    }

    @Override
    protected void open(ExecutionEvent event, Classification entity) {
        NewClassificationWizard classificationWizard = new NewClassificationWizard();
        classificationWizard.init(null, null);
        classificationWizard.setEntity(entity);
        WizardDialog dialog = new WizardDialog(PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), classificationWizard);
        dialog.open();
    }


}
