/**
* Copyright (C) 2016 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.handler.defaultHandler;

import java.util.UUID;

import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.jface.wizard.WizardDialog;
import org.eclipse.ui.PlatformUI;

import eu.etaxonomy.cdm.api.service.ITaxonNodeService;
import eu.etaxonomy.cdm.model.taxon.TaxonNode;
import eu.etaxonomy.taxeditor.store.CdmStore;
import eu.etaxonomy.taxeditor.ui.section.classification.EditTaxonNodeWizard;

/**
 * @author k.luther
 * @date 22.03.2016
 *
 */
public class DefaultOpenTaxonNodeWizardHandler extends DefaultOpenHandlerBase<TaxonNode> {
    @Override
    protected TaxonNode getEntity(UUID uuid) {
        return CdmStore.getService(ITaxonNodeService.class).load(uuid);
    }

    @Override
    protected void open(ExecutionEvent event, TaxonNode entity) {
        EditTaxonNodeWizard taxonNodeWizard = new EditTaxonNodeWizard();
        taxonNodeWizard.init(null, null);
        taxonNodeWizard.setEntity(entity);
        WizardDialog dialog = new WizardDialog(PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), taxonNodeWizard);
        dialog.open();
    }
}
