/**
 *
 */
package eu.etaxonomy.taxeditor.labels;

import java.util.List;

import org.eclipse.swt.graphics.Image;

import eu.etaxonomy.cdm.model.name.NameRelationshipType;
import eu.etaxonomy.taxeditor.model.ImageResources;
import eu.etaxonomy.taxeditor.store.TermStore;

/**
 * <p>DefaultLabelStrategy class.</p>
 *
 * @author p.ciardelli
 * @version $Id: $
 */
public class DefaultLabelStrategy implements ILabelImageStrategy {

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.labels.IEditorLabelStrategy#getNameRelationTypeLabel(eu.etaxonomy.cdm.model.name.NameRelationshipType)
	 */
	/** {@inheritDoc} */
	@Override
    public String getNameRelationTypeLabel(NameRelationshipType type) {
		List<NameRelationshipType> vocab =
			TermStore.getTerms(NameRelationshipType.class);

		for (NameRelationshipType type1 : vocab) {
			if (type1.equals(type)) {
				return type1.getLabel();
			}
		}
		return "";
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.labels.IEditorLabelStrategy#getNameRelationInverseTypeLabel(eu.etaxonomy.cdm.model.name.NameRelationshipType)
	 */
	/** {@inheritDoc} */
	@Override
    public String getNameRelationTypeInverseLabel(NameRelationshipType type) {

		List<NameRelationshipType> vocab =
			TermStore.getTerms(NameRelationshipType.class);

		for (NameRelationshipType type1 : vocab) {
			if (type1.equals(type)) {
				return type1.getInverseLabel();
			}
		}
		return "";
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.labels.ILabelImageStrategy#getNameRelationImage(eu.etaxonomy.cdm.model.name.NameRelationship)
	 */
	/** {@inheritDoc} */
	@Override
    public Image getNameRelationTypeImage(NameRelationshipType type) {
		if (NameRelationshipType.BASIONYM().equals(type)) {
			return ImageResources.getImage(
					ImageResources.BASIONYM_ICON);
		}
		if (NameRelationshipType.ORTHOGRAPHIC_VARIANT().equals(type)) {
			return ImageResources.getImage(
					ImageResources.ORTHOGRAPHIC_VARIANT_ICON);
		}
		return null;
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.labels.ILabelImageStrategy#getNameRelationDescription(eu.etaxonomy.cdm.model.name.NameRelationshipType)
	 */
	/** {@inheritDoc} */
	@Override
    public String getNameRelationTypeDescription(NameRelationshipType type) {
		if (NameRelationshipType.BASIONYM().equals(type)) {
			return "Basionym";
		}
		return type.getDescription();
	}
}
