/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.model;

import org.eclipse.swt.events.ModifyListener;
import org.eclipse.swt.widgets.Text;

/**
 * <p>CommonHelper class.</p>
 *
 * @author n.hoffmann
 * @created 02.07.2009
 * @version 1.0
 */
public class CommonHelper {
	/**
	 * <p>editTextWithoutTriggeringListeners</p>
	 *
	 * @param text a {@link org.eclipse.swt.widgets.Text} object.
	 * @param listener a {@link org.eclipse.swt.events.ModifyListener} object.
	 * @param string a {@link java.lang.String} object.
	 */
	public static void editTextWithoutTriggeringListeners(Text text, ModifyListener listener, String string){
		text.removeModifyListener(listener);
		
		String textString = string != null ? string : "";
		
		text.setText(textString);
		text.addModifyListener(listener);
	}
}
