/**
 *
 */
package eu.etaxonomy.taxeditor.newWizard;

import eu.etaxonomy.cdm.api.service.IPolytomousKeyService;
import eu.etaxonomy.cdm.model.description.PolytomousKey;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author n.hoffmann
 *
 */
public class NewPolytomousKeyWizard extends AbstractNewEntityWizard<PolytomousKey> {

    private PolytomousKeyWizardPage polytomousKeyPage;

	@Override
	public void addPages() {
		polytomousKeyPage = new PolytomousKeyWizardPage(formFactory, getConversationHolder(), getEntity());
		super.addPage(polytomousKeyPage);
	}

	public String getPolytomousKeyName() {
	    return polytomousKeyPage.getPolytomousKeyName();
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.newWizard.AbstractNewEntityWizard#saveEntity()
	 */
	@Override
	protected void saveEntity() {
	    if(!polytomousKeyPage.getPolytomousKeyName().equals("")) {
	        CdmStore.getService(IPolytomousKeyService.class).merge(getEntity(), true);
	    }
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.newWizard.AbstractNewEntityWizard#createNewEntity()
	 */
	@Override
	protected PolytomousKey createNewEntity() {
	    PolytomousKey pkey = PolytomousKey.NewInstance();
	    pkey.setTitleCache("");
		return pkey;
	}

	@Override
	protected String getEntityName() {
		return "Polytomous Key";
	}

}
