/**
* Copyright (C) 2014 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.newWizard;

import eu.etaxonomy.cdm.api.service.molecular.IPrimerService;
import eu.etaxonomy.cdm.model.molecular.Primer;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author pplitzner
 * @date 11.03.2014
 *
 */
public class NewPrimerWizard  extends AbstractNewEntityWizard<Primer> {

    private PrimerWizardPage primerPage;

    /** {@inheritDoc} */
    @Override
    public void addPages() {
        primerPage = new PrimerWizardPage(formFactory, getConversationHolder(), getEntity());
        addPage(primerPage);
    }

    /** {@inheritDoc} */
    @Override
    protected Primer createNewEntity() {
        return Primer.NewInstance("");
    }

    /** {@inheritDoc} */
    @Override
    protected void saveEntity() {
       CdmStore.getService(IPrimerService.class).merge(getEntity(),true);
       
    }

    /** {@inheritDoc} */
    @Override
    public void setEntity(Primer entity) {
        super.setEntity(entity);
        primerPage.getDetailElement().setEntity(entity);
    }

    @Override
    protected String getEntityName() {
        return "Primer";
    }
}
