/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.newWizard;

import eu.etaxonomy.cdm.api.service.IAgentService;
import eu.etaxonomy.cdm.model.agent.Team;
import eu.etaxonomy.taxeditor.store.CdmStore;
import eu.etaxonomy.taxeditor.ui.section.agent.TeamWizardPage;

/**
 * <p>NewTeamWizard class.</p>
 *
 * @author n.hoffmann
 * @created Jun 1, 2010
 * @version 1.0
 */
public class NewTeamWizard extends AbstractNewEntityWizard<Team> {

    private boolean isNomenclaturalTeam = false;

	public NewTeamWizard() {}

	public NewTeamWizard(boolean b) {
		setNomenclaturalTeam(b);
	}

	/** {@inheritDoc} */
	@Override
	public void addPages() {
		addPage(new TeamWizardPage(formFactory, getConversationHolder(), getEntity(), isNomenclaturalTeam));
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.newWizard.AbstractNewEntityWizard#createNewEntity()
	 */
	/** {@inheritDoc} */
	@Override
	protected Team createNewEntity() {
		return Team.NewInstance();
	}

	/** {@inheritDoc} */
	@Override
	protected void saveEntity() {
	    CdmStore.getService(IAgentService.class).merge(getEntity(), true);
	    
	}

	@Override
	protected String getEntityName() {
		return "Team";
	}

    /**
     * @return the isNomenclaturalTeam
     */
    public boolean isNomenclaturalTeam() {
        return isNomenclaturalTeam;
    }

    /**
     * @param isNomenclaturalTeam the isNomenclaturalTeam to set
     */
    public void setNomenclaturalTeam(boolean isNomenclaturalTeam) {
        this.isNomenclaturalTeam = isNomenclaturalTeam;
    }
}
