/**
 * Copyright (C) 2014 EDIT
 * European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
 *
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
package eu.etaxonomy.taxeditor.newWizard;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.molecular.Primer;
import eu.etaxonomy.taxeditor.ui.element.AbstractCdmEntityWizardPage;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
import eu.etaxonomy.taxeditor.ui.section.occurrence.dna.PrimerGeneralDetailElement;

/**
 * @author pplitzner
 * @date 11.03.2014
 *
 */
public class PrimerWizardPage extends AbstractCdmEntityWizardPage<Primer> {

    /**
     * @param formFactory
     * @param conversation
     * @param entity
     */
    public PrimerWizardPage(CdmFormFactory formFactory,
            ConversationHolder conversation, Primer entity) {
        super(formFactory, conversation, entity);
        setTitle("General Primer Data");
    }

    /* (non-Javadoc)
     * @see eu.etaxonomy.taxeditor.ui.forms.AbstractCdmEntityWizardPage#checkComplete()
     */
    @Override
    protected void checkComplete() {
        setPageComplete(true);
    }

    /* (non-Javadoc)
     * @see eu.etaxonomy.taxeditor.forms.AbstractCdmEntityWizardPage#createElement(eu.etaxonomy.taxeditor.forms.ICdmFormElement)
     */
    @Override
    public AbstractCdmDetailElement<Primer> createElement(ICdmFormElement rootElement) {
        PrimerGeneralDetailElement detailElement = formFactory.createPrimerGeneralDetailElement(rootElement);
        detailElement.setEntity(getEntity());
        checkComplete();
        return detailElement;
    }

}
