/**
* Copyright (C) 2015 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.operation;

import org.eclipse.core.runtime.IAdaptable;
import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;

import eu.etaxonomy.cdm.api.application.CdmChangeEvent.Action;
import eu.etaxonomy.cdm.model.common.CdmBase;

/**
 * @author cmathew
 * @date 21 Jul 2015
 *
 */
public abstract class RemotingCdmDefaultOperation extends RemotingCdmOperation {

    private CdmBase cdmEntity;

    public RemotingCdmDefaultOperation(String label, Action action, Object source, boolean async) {
        super(label, action, source, async);
    }
    /* (non-Javadoc)
     * @see eu.etaxonomy.taxeditor.operation.RemotingCdmOperation#doExecute(org.eclipse.core.runtime.IProgressMonitor, org.eclipse.core.runtime.IAdaptable)
     */
    @Override
    protected boolean doExecute(IProgressMonitor monitor, IAdaptable info) {
        try {
            cdmEntity = doSimpleExecute(monitor, info);
        } catch (Exception e) {
             throw new RuntimeException(e);
        }
        return true;
    }

    protected abstract CdmBase doSimpleExecute(IProgressMonitor monitor, IAdaptable info) throws Exception;

    @Override
    protected void postExecute(boolean success) {
        if(success && cdmEntity != null) {
            fireDataChangeEvent(cdmEntity);
        }

    }
    /* (non-Javadoc)
     * @see eu.etaxonomy.taxeditor.operation.RemotingCdmOperation#onComplete(boolean)
     */
    @Override
    protected IStatus onComplete(boolean success) {
        return Status.OK_STATUS;
    }

}
