/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.preference;

import org.eclipse.jface.preference.BooleanFieldEditor;
import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;

/**
 * <p>DescriptionPreferences class.</p>
 *
 * @author p.ciardelli
 * @created 20.05.2008
 * @version 1.0
 */
public class DescriptionPreferences extends FieldEditorPreferencePage implements
		IWorkbenchPreferencePage {

	/** Constant <code>PLUGIN_ID="eu.etaxonomy.taxeditor.preferences.desc"{trunked}</code> */
	public static final String PLUGIN_ID = "eu.etaxonomy.taxeditor.preferences.description";

	/** {@inheritDoc} */
	@Override
    public void init(IWorkbench workbench) {
        setPreferenceStore(PreferencesUtil.getPreferenceStore());

	}

	@Override
	protected void createFieldEditors() {
	    addField(new BooleanFieldEditor(IPreferenceKeys.SHOW_VOCABULARY_ID_FOR_TERM_LABELS,
	            "Show vocabulary id for term labels.",
                getFieldEditorParent()));
	}
}
