/**
 * Copyright (C) 2007 EDIT
 * European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
 *
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */

package eu.etaxonomy.taxeditor.preference;

import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.jface.preference.IntegerFieldEditor;
import org.eclipse.jface.preference.StringFieldEditor;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;

/**
 * @author n.hoffmann
 * @created Feb 4, 2011
 * @version 1.0
 */
public class MobotOpenUrlPreferences extends FieldEditorPreferencePage implements
		IWorkbenchPreferencePage {


    @Override
    protected void createFieldEditors() {
        addField(new StringFieldEditor(
                IPreferenceKeys.OPENURL_ACCESS_POINT,
                "Mobot Open Url Service Access Point:", getFieldEditorParent()));
        addField(new IntegerFieldEditor(
                IPreferenceKeys.OPENURL_IMAGE_MAX_WIDTH,
                "Image Maximum Width:",
                getFieldEditorParent()));
        addField(new IntegerFieldEditor(
                IPreferenceKeys.OPENURL_IMAGE_MAX_HEIGHT,
                "Image Maximum Height:",
                getFieldEditorParent()));

    }

    @Override
    public void init(IWorkbench workbench) {
        setPreferenceStore(PreferencesUtil.getPreferenceStore());
    }
}
