/**
* Copyright (C) 2016 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.preference;

/**
 * @author k.luther
 * @date 16.12.2016
 *
 */
public class NameDetailsConfigurator {

    private boolean isSimpleDetailsViewActivated = true;

    private boolean isTaxonSectionActivated = true;
    private boolean isLSIDActivated = true;
    private boolean isNomenclaturalCodeActived = true;
    private boolean isNameCacheActivated = true;
    private boolean isAppendedPhraseActivated = true;
    private boolean isRankActivated = true;
    private boolean isAtomisedEpithetsActivated = true;
    private boolean isAuthorshipSectionActivated = true;
    private boolean isAuthorCacheActivated = true;
    private boolean isNomenclaturalReferenceSectionActivated = true;
    private boolean isNomenclaturalStatusSectionActivated = true;
    private boolean isTypeDesignationSectionActivated = true;
    private boolean isNameRelationsSectionActivated = true;
    private boolean isProtologueActivated = true;

    public NameDetailsConfigurator(boolean isSimpleDetailsViewActivated){
        this.isSimpleDetailsViewActivated = isSimpleDetailsViewActivated;
    }

    public boolean isSimpleDetailsViewActivated() {
        return isSimpleDetailsViewActivated;
    }

    public void setSimpleDetailsViewActivated(boolean isSimpleDetailsViewActivated) {
        this.isSimpleDetailsViewActivated = isSimpleDetailsViewActivated;
    }

    public boolean isTaxonSectionActivated() {
        return isTaxonSectionActivated;
    }

    public void setTaxonSectionActivated(boolean isTaxonSectionActivated) {
        this.isTaxonSectionActivated = isTaxonSectionActivated;
    }

    public boolean isLSIDActivated() {
        return isLSIDActivated;
    }

    public void setLSIDActivated(boolean isLSIDActivated) {
        this.isLSIDActivated = isLSIDActivated;
    }

    public boolean isNomenclaturalCodeActived() {
        return isNomenclaturalCodeActived;
    }

    public void setNomenclaturalCodeActived(boolean isNomenclaturalCodeActived) {
        this.isNomenclaturalCodeActived = isNomenclaturalCodeActived;
    }

    public boolean isNameCacheActivated() {
        return isNameCacheActivated;
    }

    public void setNameCacheActivated(boolean isNameCacheActivated) {
        this.isNameCacheActivated = isNameCacheActivated;
    }

    public boolean isAppendedPhraseActivated() {
        return isAppendedPhraseActivated;
    }

    public void setAppendedPhraseActivated(boolean isAppendedPhraseActivated) {
        this.isAppendedPhraseActivated = isAppendedPhraseActivated;
    }

    public boolean isRankActivated() {
        return isRankActivated;
    }

    public void setRankActivated(boolean isRankActivated) {
        this.isRankActivated = isRankActivated;
    }

    public boolean isAtomisedEpithetsActivated() {
        return isAtomisedEpithetsActivated;
    }

    public void setAtomisedEpithetsActivated(boolean isAtomisedEpithetsActivated) {
        this.isAtomisedEpithetsActivated = isAtomisedEpithetsActivated;
    }

    public boolean isAuthorshipSectionActivated() {
        return isAuthorshipSectionActivated;
    }

    public void setAuthorshipSectionActivated(boolean isAuthorshipSectionActivated) {
        this.isAuthorshipSectionActivated = isAuthorshipSectionActivated;
    }

    public boolean isNomenclaturalReferenceSectionActivated() {
        return isNomenclaturalReferenceSectionActivated;
    }

    public void setNomenclaturalReferenceSectionActivated(boolean isNomenclaturalReferenceSectionActivated) {
        this.isNomenclaturalReferenceSectionActivated = isNomenclaturalReferenceSectionActivated;
    }

    public boolean isNomenclaturalStatusSectionActivated() {
        return isNomenclaturalStatusSectionActivated;
    }

    public void setNomenclaturalStatusSectionActivated(boolean isNomenclaturalStatusSectionActivated) {
        this.isNomenclaturalStatusSectionActivated = isNomenclaturalStatusSectionActivated;
    }

    public boolean isTypeDesignationSectionActivated() {
        return isTypeDesignationSectionActivated;
    }

    public void setTypeDesignationSectionActivated(boolean isTypeDesignationSectionActivated) {
        this.isTypeDesignationSectionActivated = isTypeDesignationSectionActivated;
    }

    public boolean isNameRelationsSectionActivated() {
        return isNameRelationsSectionActivated;
    }

    public void setNameRelationsSectionActivated(boolean isNameRelationsSectionActivated) {
        this.isNameRelationsSectionActivated = isNameRelationsSectionActivated;
    }

    /**
     * @return the isProtologueActivated
     */
    public boolean isProtologueActivated() {
        return isProtologueActivated;
    }

    /**
     * @param isProtologueActivated the isProtologueActivated to set
     */
    public void setProtologueActivated(boolean isProtologueActivated) {
        this.isProtologueActivated = isProtologueActivated;
    }

    @Override
    public String toString(){
        StringBuffer result = new StringBuffer();
      //the preference value is build like this:
        //<section1>:true;<section2>:false....
        result.append("simpleViewActivated");
        result.append(":");
        result.append(this.isSimpleDetailsViewActivated);
        result.append(";");

        result.append("taxon");
        result.append(":");
        result.append(this.isTaxonSectionActivated);
        result.append(";");

        result.append("lsid");
        result.append(":");
        result.append(this.isLSIDActivated());
        result.append(";");
        result.append("nc");
        result.append(":");
        result.append(this.isNomenclaturalCodeActived());
        result.append(";");
        result.append("ap");
        result.append(":");
        result.append(this.isAppendedPhraseActivated());
        result.append(";");
        result.append("rank");
        result.append(":");
        result.append(this.isRankActivated());
        result.append(";");
        result.append("author");
        result.append(":");
        result.append(this.isAuthorshipSectionActivated());
        result.append(";");
        result.append("atomisedEpithets");
        result.append(":");
        result.append(this.isAtomisedEpithetsActivated());
        result.append(";");
        result.append("nomRef");
        result.append(":");
        result.append(this.isNomenclaturalReferenceSectionActivated());
        result.append(";");
        result.append("nomStat");
        result.append(":");
        result.append(this.isNomenclaturalStatusSectionActivated());
        result.append(";");
        result.append("protologue");
        result.append(":");
        result.append(this.isProtologueActivated());
        result.append(";");
        result.append("typeDes");
        result.append(":");
        result.append(this.isTypeDesignationSectionActivated());
        result.append(";");
        result.append("nameRelation");
        result.append(":");
        result.append(this.isNameRelationsSectionActivated());

      return result.toString();
    }

    /**
     * @return the isAuthorCacheActivated
     */
    public boolean isAuthorCacheActivated() {
        return isAuthorCacheActivated;
    }

    /**
     * @param isAuthorCacheActivated the isAuthorCacheActivated to set
     */
    public void setAuthorCacheActivated(boolean isAuthorCacheActivated) {
        this.isAuthorCacheActivated = isAuthorCacheActivated;
    }


}
