/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.preference;

import org.eclipse.core.expressions.PropertyTester;

/**
 * @author n.hoffmann
 * @created Jan 26, 2011
 * @version 1.0
 */
public class PreferencePropertyTester extends PropertyTester {


	private static final String SHOW_EXPERIMENTAL_FEATURES = "isShowExperimentalFeatures";

    private static final String SHOW_CHECKLIST_EDITOR = "isChecklistEditorEnabled";

	@Override
	public boolean test(Object receiver, String property, Object[] args,
			Object expectedValue) {
		if(SHOW_EXPERIMENTAL_FEATURES.equals(property)){
			return isShowExperimentalFeatures();
		}
	    if(SHOW_CHECKLIST_EDITOR.equals(property)){
	        return isChecklistEditorEnabled();
	    }
		return false;
	}

	/**
	 * @return
	 */
	private boolean isShowExperimentalFeatures() {
		return PreferencesUtil.getPreferenceStore().getBoolean(IPreferenceKeys.SHOW_EXPERIMENTAL_FEATURES);
	}

	private boolean isChecklistEditorEnabled() {
        return PreferencesUtil.getPreferenceStore().getBoolean(IPreferenceKeys.DISTRIBUTION_AREA_PREFRENCES_ACTIVE);
    }

}
