/**
 * Copyright (C) 2007 EDIT
 * European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
 *
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */

package eu.etaxonomy.taxeditor.preference;

import org.eclipse.jface.preference.BooleanFieldEditor;
import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.jface.preference.StringFieldEditor;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.RowLayout;
import org.eclipse.swt.widgets.Combo;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;

import eu.etaxonomy.cdm.persistence.query.MatchMode;

/**
 * <p>
 * TaxonomicEditorGeneralPreferences class.
 * </p>
 *
 * @author n.hoffmann
 * @created Sep 1, 2009
 * @version 1.0
 */
public class TaxonomicEditorGeneralPreferences extends
		FieldEditorPreferencePage implements IWorkbenchPreferencePage {

	/*
	 * (non-Javadoc)
	 *
	 * @see
	 * org.eclipse.jface.preference.FieldEditorPreferencePage#createFieldEditors
	 * ()
	 */
	@Override
	protected void createFieldEditors() {
		addField(new BooleanFieldEditor(IPreferenceKeys.SHOW_DEBUG_INFORMATION,
				"Show UUID and object ID in supplemental data view.",
				getFieldEditorParent()));
		addField(new BooleanFieldEditor(IPreferenceKeys.SHOW_ID_IN_ENTITY_SELECTION_DIAOLOG,
		        "Show object id in entity selection dialogs.",
		        getFieldEditorParent()));
		addField(new BooleanFieldEditor(
				IPreferenceKeys.SHOULD_EXPAND_SECTION_WHEN_DATA_AVAILABLE,
				"Should expand sections when data is available (Details View). This might make the Editor slow.",
				getFieldEditorParent()));
		addField(new StringFieldEditor(
				IPreferenceKeys.EDIT_MAP_SERVICE_ACCES_POINT,
				"EDIT Map Service Access Point:", getFieldEditorParent()));
		addField(new BooleanFieldEditor(
				IPreferenceKeys.SHOULD_CONNECT_AT_STARTUP,
				"Connect to last used datasource when launching",
				getFieldEditorParent()));
		addField(new BooleanFieldEditor(
				IPreferenceKeys.SHOW_EXPERIMENTAL_FEATURES,
				"Show experimental features", getFieldEditorParent()));
		addField(new BooleanFieldEditor(IPreferenceKeys.SEARCH_OPEN_RESULTS_IN_SEPARATE_WINDOWS,
		        "Open search results in separate windows",
		        getFieldEditorParent()));
//		addField(new BooleanFieldEditor(IPreferenceKeys.SHOW_SIMPLE_NAME_DETAILS_SECTION,
//                "Show only a simple name details view",
//                getFieldEditorParent()));

		Composite composite = new Composite(getFieldEditorParent(), SWT.NULL);
        composite.setLayoutData(new GridData(SWT.FILL, SWT.TOP, true, false, 2, 1));
        composite.setLayout(new RowLayout(1));

//        final Label label = new Label(composite, SWT.NONE);
//        label.setText("Choose the prefered match mode for searches.");
//
//        final Combo combo_MatchMode = new Combo(composite, SWT.NONE);
//
//        MatchMode[] matchModes = MatchMode.values();
//        int currentSelectionIndex = 0;
//        for(int i = 0; i < matchModes.length; i++){
//            MatchMode mode = matchModes[i];
//            combo_MatchMode.add(mode.name(),i);
//            //TODO:the correct preselection is needed here!!
//            if (mode.equals(PreferencesUtil.getSearchConfigurator().getMatchMode())){
//                currentSelectionIndex = i;
//            }
//        }
//
//        combo_MatchMode.select(currentSelectionIndex);
//
//        combo_MatchMode.addSelectionListener(new SelectionAdapter() {
//            /* (non-Javadoc)
//             * @see org.eclipse.swt.events.SelectionAdapter#widgetSelected(org.eclipse.swt.events.SelectionEvent)
//             */
//            @Override
//            public void widgetSelected(SelectionEvent e) {
//                int selectionIndex = combo_MatchMode.getSelectionIndex();
//                PreferencesUtil.getSearchConfigurator().setMatchMode(MatchMode.valueOf(combo_MatchMode.getItem(selectionIndex)));
//            }
//        });




	}

	/*
	 * (non-Javadoc)
	 *
	 * @see
	 * org.eclipse.ui.IWorkbenchPreferencePage#init(org.eclipse.ui.IWorkbench)
	 */
	@Override
	public void init(IWorkbench workbench) {
		setPreferenceStore(PreferencesUtil.getPreferenceStore());
	}

}
