/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.preference.matching;

import org.eclipse.ui.IWorkbench;

import eu.etaxonomy.cdm.model.name.NonViralName;
import eu.etaxonomy.cdm.strategy.match.IMatchStrategy;
import eu.etaxonomy.cdm.strategy.match.MatchException;
import eu.etaxonomy.cdm.strategy.match.MatchStrategyConfigurator;
import eu.etaxonomy.taxeditor.model.MessagingUtils;

/**
 * <p>NonViralNameMatchingPreference class.</p>
 *
 * @author n.hoffmann
 * @created Jan 22, 2010
 * @version 1.0
 */
public class NonViralNameMatchingPreference extends AbstractMatchingPreferences<NonViralName>{

	/** {@inheritDoc} */
	@Override
    public void init(IWorkbench workbench) {
	    super.init(workbench);
		clazz = NonViralName.class;

		try {
			matchStrategy = MatchStrategyConfigurator.NonViralNameMatchStrategy();
		} catch (MatchException e) {
			MessagingUtils.error(this.getClass(), e);
			throw new RuntimeException(e);
		}
	}

	/** {@inheritDoc} */
	@Override
	protected IMatchStrategy getDefaultMatchStrategy() throws MatchException {
		return MatchStrategyConfigurator.getDefaultNonViralNameMatchStrategy();
	}
}
