/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.preference.menu;

import eu.etaxonomy.cdm.model.common.MarkerType;
import eu.etaxonomy.cdm.model.common.TermType;

/**
 * <p>MarkerTypeMenuPreferences class.</p>
 *
 * @author n.hoffmann
 * @created Aug 28, 2009
 * @version 1.0
 */
public class MarkerTypeMenuPreferences extends AbstractMenuPreferences<MarkerType>{

	/**
	 * <p>Constructor for MarkerTypeMenuPreferences.</p>
	 */
	public MarkerTypeMenuPreferences() {
		super("Marker Type Preferences" ,
				"Choose which markers to display",
				true);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.preference.menu.AbstractMenuPreferences#getTermClass()
	 */
	/** {@inheritDoc} */
	@Override
	protected TermType getTermType() {
		return TermType.MarkerType;
	}
}
