/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.preference.menu;

import eu.etaxonomy.cdm.model.common.DefinedTerm;
import eu.etaxonomy.cdm.model.common.TermType;


/**
 * <p>StageMenuPreferences class.</p>
 *
 * @author n.hoffmann
 * @created Jun 25, 2010
 * @version 1.0
 */
public class StageMenuPreferences extends AbstractMenuPreferences<DefinedTerm> {

	/**
	 * <p>Constructor for StageMenuPreferences.</p>
	 */
	public StageMenuPreferences() {
		super("Stage Preferences",
				"Choose stages to be shown in selection combos",
				false);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.preference.menu.AbstractMenuPreferences#getTermClass()
	 */
	/** {@inheritDoc} */
	@Override
	protected TermType getTermType() {
		return TermType.Stage;
	}

}
