/**
* Copyright (C) 2016 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.ui.dialog;

import eu.etaxonomy.cdm.model.common.TermType;
import eu.etaxonomy.cdm.model.reference.Reference;
import eu.etaxonomy.cdm.model.taxon.Classification;
import eu.etaxonomy.cdm.model.taxon.TaxonRelationshipType;
import eu.etaxonomy.taxeditor.ui.combo.TermComboElement;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.element.TextWithLabelElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
import eu.etaxonomy.taxeditor.ui.selection.EntitySelectionElement;

/**
 * @author pplitzner
 * @date Nov 6, 2016
 *
 */
public class CloneClassificationDetailElement  extends
AbstractCdmDetailElement<Classification>{

    private TextWithLabelElement txtClassificationName;
    private TermComboElement<TaxonRelationshipType> comboRelationType;
    private EntitySelectionElement<Reference> selectReference;

    public CloneClassificationDetailElement(CdmFormFactory formFactory, ICdmFormElement formElement) {
        super(formFactory, formElement);
    }

     @Override
    protected void createControls(ICdmFormElement formElement, Classification entity, int style) {
         txtClassificationName = formFactory.createTextWithLabelElement(formElement, "Classification name", null, style);
         comboRelationType = formFactory.createDefinedTermComboElement(TermType.TaxonRelationshipType, formElement, "Taxon relation", null, style);
         selectReference = formFactory.createSelectionElement(Reference.class, getConversationHolder(), formElement, "Reference", null, EntitySelectionElement.SELECTABLE, style);
    }

     @Override
    public void handleEvent(Object eventSource) {
    }

    public String getClassificationName(){
        return txtClassificationName.getText();
    }

    public TaxonRelationshipType getRelationType(){
        return comboRelationType.getSelection();
    }

    public Reference getReference(){
        return selectReference.getSelection();
    }

}
