/**
* Copyright (C) 2015 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.ui.dialog;

import java.io.Serializable;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.MessageBox;
import org.eclipse.swt.widgets.Shell;

import eu.etaxonomy.taxeditor.operation.FeedbackGenerator;

/**
 * Feedback Generator corresponding to a {@link MessageBox}
 *
 * @author cmathew
 * @date 29 Oct 2015
 *
 */
public class FeedbackMessageBox extends FeedbackGenerator {

    private Shell shell;
    /**
     * @param parent
     */
    public FeedbackMessageBox(Shell parent) {
        this.shell = parent;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Serializable generateFeedback() {

     // create a dialog with ok and cancel buttons and a question icon
        MessageBox dialog =
          new MessageBox(shell, SWT.ICON_QUESTION | SWT.OK| SWT.CANCEL);
        dialog.setText("Monitor Feedback");
        dialog.setMessage("Do you really want to continue?");

        // open dialog and await user selection
        return dialog.open();
    }
}
