/**
* Copyright (C) 2015 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.ui.dialog.configurator;

import org.eclipse.swt.SWT;
import org.eclipse.swt.events.DisposeEvent;
import org.eclipse.swt.events.DisposeListener;
import org.eclipse.swt.layout.FillLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Display;
import org.eclipse.ui.forms.events.ExpansionEvent;
import org.eclipse.ui.forms.events.IExpansionListener;
import org.eclipse.ui.forms.widgets.FormToolkit;
import org.eclipse.ui.forms.widgets.Section;

import eu.etaxonomy.taxeditor.l10n.Messages;

/**
 * @author pplitzner
 * @date Feb 16, 2015
 *
 */
public class ConfiguratorComposite extends Composite implements IExpansionListener{

    private final FormToolkit toolkit = new FormToolkit(Display.getCurrent());
    private final Section sctnConfigure;
    /**
     * Create the composite.
     * @param parent
     * @param style
     */
    public ConfiguratorComposite(final Composite parent, int style) {
        super(parent, SWT.NONE);

        addDisposeListener(new DisposeListener() {
            @Override
            public void widgetDisposed(DisposeEvent e) {
                toolkit.dispose();
            }
        });
        toolkit.paintBordersFor(this);
        setLayout(new FillLayout(SWT.HORIZONTAL));

        sctnConfigure = toolkit.createSection(this, Section.CLIENT_INDENT | Section.TWISTIE);
        sctnConfigure.addExpansionListener(this);
        sctnConfigure.setBackground(getBackground());
        toolkit.paintBordersFor(sctnConfigure);
        sctnConfigure.setText(Messages.ConfiguratorComposite_CONFIGURE);


    }


    public void addConfiguratorComposite(Composite configuratorComposite){
        toolkit.paintBordersFor(configuratorComposite);
        sctnConfigure.setClient(configuratorComposite);
    }

    @Override
    public void expansionStateChanged(ExpansionEvent e) {
        getShell().setSize(getShell().computeSize(SWT.DEFAULT, SWT.DEFAULT));
    }
    @Override
    public void expansionStateChanging(ExpansionEvent e) {
    }
    public Section getSectionConfigure() {
        return sctnConfigure;
    }
}
