/**
* Copyright (C) 2016 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.ui.dialog.configurator.deleteConfigurator;

import org.eclipse.core.databinding.beans.PojoProperties;
import org.eclipse.core.databinding.observable.value.IObservableValue;
import org.eclipse.jface.databinding.swt.WidgetProperties;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;

import eu.etaxonomy.cdm.api.service.config.TaxonBaseDeletionConfigurator;

/**
 * @author k.luther
 * @date 19.04.2016
 *
 */
public class DeleteTaxonConfiguratorComposite extends DeleteTaxonBaseConfiguratorComposite {

    private final Button btnDeleteSynonyms;
    private final Button btnDeleteMisappliedNamesAndInvalidDesignations;
    private final Button btnTaxonRelationships;
    private final Button btnConceptRelationships;
    /**
     * @param configurator
     * @param parent
     * @param style
     */
    public DeleteTaxonConfiguratorComposite(TaxonBaseDeletionConfigurator configurator, Composite parent, int style) {
        super(configurator, parent, style);
        btnDeleteSynonyms = new Button(this, SWT.CHECK);
        btnDeleteSynonyms.setText("Delete synonyms if possible");
        btnDeleteSynonyms.setSelection(true);

        btnDeleteMisappliedNamesAndInvalidDesignations = new Button(this, SWT.CHECK);
        btnDeleteMisappliedNamesAndInvalidDesignations.setText("Delete misapplied names and invalid designations if possible");
        btnDeleteMisappliedNamesAndInvalidDesignations.setSelection(true);


        btnTaxonRelationships = new Button(this, SWT.CHECK);
        btnTaxonRelationships.setText("Delete taxon relations if possible");
        btnTaxonRelationships.setSelection(true);

        btnConceptRelationships = new Button(this, SWT.CHECK);
        btnConceptRelationships.setText("Delete concept relations if possible");
        btnConceptRelationships.setSelection(true);
        initDataBindingsTaxon();
    }

    protected void initDataBindingsTaxon() {

        IObservableValue observeSelectionBtnDeleteSynonymsObserveWidget = WidgetProperties.selection().observe(btnDeleteSynonyms);
        IObservableValue deleteSynonymsConfiguratorObserveValue = PojoProperties.value("deleteSynonymsIfPossible").observe(configurator);
        m_bindingContext.bindValue(observeSelectionBtnDeleteSynonymsObserveWidget, deleteSynonymsConfiguratorObserveValue, null, null);

        IObservableValue observeSelectionbtnDeleteMisappliedNamesAndInvalidDesignationsObserveWidget = WidgetProperties.selection().observe(btnDeleteMisappliedNamesAndInvalidDesignations);
        IObservableValue deleteMisappliedNamesAndInvalidDesignationsConfiguratorObserveValue = PojoProperties.value("deleteMisappliedNamesAndInvalidDesignationsIfPossible").observe(configurator);
        m_bindingContext.bindValue(observeSelectionbtnDeleteMisappliedNamesAndInvalidDesignationsObserveWidget, deleteMisappliedNamesAndInvalidDesignationsConfiguratorObserveValue, null, null);

        IObservableValue observeSelectionbtnTaxonRelationshipsObserveWidget = WidgetProperties.selection().observe(btnTaxonRelationships);
        IObservableValue deleteTaxonRelationshipsConfiguratorObserveValue = PojoProperties.value("deleteTaxonRelationships").observe(configurator);
        m_bindingContext.bindValue(observeSelectionbtnTaxonRelationshipsObserveWidget, deleteTaxonRelationshipsConfiguratorObserveValue, null, null);

        IObservableValue observeSelectionbtnConceptRelationshipsObserveWidget = WidgetProperties.selection().observe(btnConceptRelationships);
        IObservableValue deleteConceptRelationshipsConfiguratorObserveValue = PojoProperties.value("deleteConceptRelationships").observe(configurator);
        m_bindingContext.bindValue(observeSelectionbtnConceptRelationshipsObserveWidget, deleteConceptRelationshipsConfiguratorObserveValue, null, null);

    }
}
