/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.dialog.selection;

import java.util.ArrayList;
import java.util.EnumSet;

import org.eclipse.swt.widgets.Shell;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.common.OriginalSourceType;
import eu.etaxonomy.taxeditor.newWizard.AbstractNewEntityWizard;

/**
 * <p>OriginalSourceTypeSelectionDialog class.</p>
 *
 * @author c.mathew
 * @created 18.07.2013
 * @version 1.0
 */
public class OriginalSourceTypeSelectionDialog extends
		AbstractFilteredCdmEnumSelectionDialog<OriginalSourceType> {

	/**
	 * <p>select</p>
	 *
	 * @param shell a {@link org.eclipse.swt.widgets.Shell} object.
	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
	 * @return a {@link eu.etaxonomy.cdm.model.common.OriginalSourceType} object.
	 */
	public static OriginalSourceType select(Shell shell, ConversationHolder conversation){
		OriginalSourceTypeSelectionDialog dialog = 
				new OriginalSourceTypeSelectionDialog(shell, 
						conversation,
						"Choose Original Source Type", 
						false, 
						OriginalSourceTypeSelectionDialog.class.getCanonicalName());
		return getSelectionFromDialog(dialog);
	}
	
	/**
	 * <p>Constructor for FilteredDerivedUnitSelectionDialog.</p>
	 *
	 * @param shell a {@link org.eclipse.swt.widgets.Shell} object.
	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
	 * @param title a {@link java.lang.String} object.
	 * @param multi a boolean.
	 * @param settings a {@link java.lang.String} object.
	 */
	protected OriginalSourceTypeSelectionDialog(Shell shell, 
			ConversationHolder conversation, 
			String title,
			boolean multi, 
			String settings) {
		super(shell, conversation, title, multi, settings, OriginalSourceType.PrimaryTaxonomicSource);
	}


	/** {@inheritDoc} */
	@Override
	protected void initModel() {
		model = new ArrayList<OriginalSourceType>();
		model.addAll(EnumSet.allOf(OriginalSourceType.class));		
	}

	/** {@inheritDoc} */
	@Override
	protected AbstractNewEntityWizard getNewEntityWizard(String parameter) {
		return null;
	}

	/** {@inheritDoc} */
	@Override
	protected String getNewWizardLinkText() {
		return null;
	}
}
