/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.dialog.selection;

import java.util.UUID;

import org.eclipse.swt.widgets.Shell;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.api.service.IOccurrenceService;
import eu.etaxonomy.cdm.hibernate.HibernateProxyHelper;
import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
import eu.etaxonomy.taxeditor.newWizard.AbstractNewEntityWizard;
import eu.etaxonomy.taxeditor.newWizard.NewDerivedUnitBaseWizard;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author pplitzner
 */
public class SpecimenOrObservationBaseSelectionDialog extends
		AbstractFilteredCdmResourceSelectionDialog<SpecimenOrObservationBase> {

	public static SpecimenOrObservationBase select(Shell shell, ConversationHolder conversation, SpecimenOrObservationBase observation){
		SpecimenOrObservationBaseSelectionDialog dialog = new SpecimenOrObservationBaseSelectionDialog(shell, conversation,
				"Choose field unit or derived unit", false, SpecimenOrObservationBaseSelectionDialog.class.getCanonicalName(), observation);
		return getSelectionFromDialog(dialog);
	}

	protected SpecimenOrObservationBaseSelectionDialog(Shell shell, ConversationHolder conversation,
			String title, boolean multi, String settings,
			SpecimenOrObservationBase cdmObject) {
		super(shell, conversation, title, multi, settings, cdmObject);
	}

	/** {@inheritDoc} */
	@Override
	protected SpecimenOrObservationBase getPersistentObject(UUID uuid) {
		Object object = CdmStore.getService(IOccurrenceService.class).load(uuid);
		return HibernateProxyHelper.deproxy(object, SpecimenOrObservationBase.class);
	}

	/** {@inheritDoc} */
	@Override
	protected void initModel() {
		model = CdmStore.getService(IOccurrenceService.class).getUuidAndTitleCache(null, null);
	}

	/** {@inheritDoc} */
	@Override
	protected AbstractNewEntityWizard getNewEntityWizard(String parameter) {
		return new NewDerivedUnitBaseWizard();
	}

	/** {@inheritDoc} */
	@Override
	protected String getNewWizardLinkText() {
		return String.format("Create a new <a>%1s</a>", "field unit/derived unit");
	}
}
