/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.element;

import eu.etaxonomy.cdm.model.common.LSID;

/**
 *
 * @author pplitzner
 * @date Sep 21, 2015
 *
 */
public class LsidWithExceptionLabelElement extends AbstractUriWithExceptionLabelElement<LSID> {

    protected LsidWithExceptionLabelElement(CdmFormFactory formFactory, ICdmFormElement parentElement,
            String labelString, LSID initialObject, Integer textHeight, int style) {
        super(formFactory, parentElement, labelString, initialObject, textHeight, style);
    }

	/**
	 * {@inheritDoc}
	 */
	@Override
	public void setParsedText(LSID object) {
		if(object != null){
			super.setText(object.toString());
		}
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public LSID getParsedText() throws Exception {
            return new LSID(super.getText());
	}

}
