/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.section.classification;

import org.eclipse.jface.wizard.Wizard;
import org.eclipse.swt.widgets.Display;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.reference.Reference;
import eu.etaxonomy.cdm.model.taxon.Classification;
import eu.etaxonomy.cdm.model.taxon.TaxonRelationshipType;
import eu.etaxonomy.taxeditor.store.CdmStore;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;

/**
 *
 * @author pplitzner
 * @date Nov 6, 2016
 *
 */

public class CloneClassificationWizard extends Wizard{

	private CloneClassificationWizardPage cloneClassificationWizardPage;

    private ConversationHolder conversationHolder;

    private CdmFormFactory formFactory;

    private String classificationName;

    private TaxonRelationshipType relationType;

    private Reference reference;

    public CloneClassificationWizard(Classification classification) {
        super();
        conversationHolder = CdmStore.createConversation();
        formFactory = new CdmFormFactory(Display.getCurrent(), null);
        cloneClassificationWizardPage = new CloneClassificationWizardPage(formFactory, conversationHolder, classification);
        addPage(cloneClassificationWizardPage);
    }


    @Override
    public boolean canFinish() {
        return cloneClassificationWizardPage.getClassificationName()!=null
                && cloneClassificationWizardPage.getRelationType()!=null &&
                        cloneClassificationWizardPage.getReference()!=null;
    }

    @Override
    public boolean performFinish() {
        classificationName = cloneClassificationWizardPage.getClassificationName();
        relationType = cloneClassificationWizardPage.getRelationType();
        reference = cloneClassificationWizardPage.getReference();
        return true;
    }


    public String getClassificationName(){
        return classificationName;
    }

    public TaxonRelationshipType getRelationType(){
        return relationType;
    }

    public Reference getReference(){
        return reference;
    }

}
