/**
 * Copyright (C) 2007 EDIT
 * European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
 *
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */

package eu.etaxonomy.taxeditor.ui.section.classification;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.reference.Reference;
import eu.etaxonomy.cdm.model.taxon.Classification;
import eu.etaxonomy.cdm.model.taxon.TaxonRelationshipType;
import eu.etaxonomy.taxeditor.ui.dialog.CloneClassificationDetailElement;
import eu.etaxonomy.taxeditor.ui.element.AbstractCdmEntityWizardPage;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;

/**
 *
 * @author pplitzner
 * @date Nov 6, 2016
 *
 */
public class CloneClassificationWizardPage extends
		AbstractCdmEntityWizardPage<Classification> {

	private CloneClassificationDetailElement detailElement;

    public CloneClassificationWizardPage(CdmFormFactory formFactory,
			ConversationHolder conversation, Classification entity) {
		super(formFactory, conversation, entity);
		setTitle("Clone Classification");
	}

    /** {@inheritDoc} */
    @Override
    public CloneClassificationDetailElement createElement(ICdmFormElement rootElement) {
        detailElement = formFactory.createCloneClassificationDetailElement(rootElement);
        detailElement.setEntity(getEntity());
        return detailElement;
    }

    public String getClassificationName(){
        return detailElement.getClassificationName();
    }

    public TaxonRelationshipType getRelationType(){
        return detailElement.getRelationType();
    }

    public Reference getReference(){
        return detailElement.getReference();
    }

}
