/**
* Copyright (C) 2016 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.ui.section.classification;

import eu.etaxonomy.cdm.api.service.ITaxonNodeService;
import eu.etaxonomy.cdm.model.taxon.ITaxonTreeNode;
import eu.etaxonomy.cdm.model.taxon.TaxonNode;
import eu.etaxonomy.taxeditor.newWizard.IWizardPageListener;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author k.luther
 * @date 23.03.2016
 *
 */
public class EditTaxonNodeWizard extends AbstractEditWizard<ITaxonTreeNode> {

    private TaxonNodeWizardPage taxonNodePage;
    private IWizardPageListener wizardPageListener;

    /* (non-Javadoc)
     * @see eu.etaxonomy.taxeditor.ui.section.classification.AbstractEditWizard#getEntityName()
     */
    @Override
    protected String getEntityName() {
        return "taxon node";
    }

    /* (non-Javadoc)
     * @see eu.etaxonomy.taxeditor.ui.section.classification.AbstractEditWizard#saveEntity()
     */
    @Override
    protected void saveEntity() {
        getConversationHolder().bind();
        TaxonNode node = (TaxonNode)getEntity();

        CdmStore.getService(ITaxonNodeService.class).merge(node, true);
    }
    @Override
    public void addPages() {
        taxonNodePage = new TaxonNodeWizardPage(formFactory, getConversationHolder(), getEntity(), wizardPageListener, false);

        addPage(taxonNodePage);
    }

    public void addWizardPageListener(IWizardPageListener wizardPageListener){
        this.wizardPageListener = wizardPageListener;
    }

    /* (non-Javadoc)
     * @see eu.etaxonomy.taxeditor.newWizard.AbstractNewEntityWizard#setEntity(java.lang.Object)
     */
    @Override
    public void setEntity(ITaxonTreeNode entity) {
        setWindowTitle(String.format("Edit %s", getEntityName()));
        entity = CdmStore.getService(ITaxonNodeService.class).load(entity.getUuid());
        super.setEntity(entity);
    }

}
