/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.section.description;

import org.eclipse.jface.viewers.ISelectionProvider;
import org.eclipse.ui.forms.widgets.ExpandableComposite;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.media.Media;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection;
import eu.etaxonomy.taxeditor.ui.section.media.MediaMetaElement;

/**
 * <p>MediaDetailsSection class.</p>
 *
 * @author n.hoffmann
 * @created Jun 15, 2010
 * @version 1.0
 */
public class MediaDetailsSection extends AbstractCdmDetailSection<Media> {

    private MediaMetaElement mediaMetaElement;

	public MediaDetailsSection(CdmFormFactory formFactory, ConversationHolder conversation,
			ICdmFormElement parentElement,
			ISelectionProvider selectionProvider, int style) {
		super(formFactory, conversation, parentElement, selectionProvider, style);
	}

	@Override
    public void setEntity(Media entity) {
		if(mediaMetaElement != null){
			this.removeElements();
		}
		mediaMetaElement = (MediaMetaElement) formFactory.createEntityCollectionElement(this, entity, null, null, ExpandableComposite.EXPANDED);
		super.setEntity(entity);
		setSectionTitle();
        setTextClient(createToolbar());
		layout();
	}

	/** {@inheritDoc} */
	@Override
	public String getHeading() {
		return "Image";
	}

	@Override
	protected AbstractCdmDetailElement<Media> createCdmDetailElement(AbstractCdmDetailSection<Media> parentElement, int style) {
	    return null;
	}
}
