/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.section.description.detail;

import org.eclipse.swt.SWT;

import eu.etaxonomy.cdm.model.description.TextData;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.element.MultilanguageTextElement;

/**
 * <p>TextDataDetailElement class.</p>
 *
 * @author n.hoffmann
 * @created Jun 10, 2010
 * @version 1.0
 */
public class TextDataDetailElement extends AbstractDetailedDescriptionDetailElement<TextData> {

	private MultilanguageTextElement multilanguageTextElement;

	/**
	 * <p>Constructor for TextDataDetailElement.</p>
	 *
	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.element.CdmFormFactory} object.
	 * @param formElement a {@link eu.etaxonomy.taxeditor.ui.element.ICdmFormElement} object.
	 * @param entity a {@link eu.etaxonomy.cdm.model.description.TextData} object.
	 * @param style a int.
	 */
	public TextDataDetailElement(CdmFormFactory formFactory,
			ICdmFormElement formElement, TextData entity, int style) {
		super(formFactory, formElement, entity, style);
	}

	/** {@inheritDoc} */
	@Override
	protected void createControls(ICdmFormElement formElement, TextData entity,
			int style) {
		multilanguageTextElement = formFactory.createMultiLanguageTextElement(this, null, entity.getMultilanguageText(), 200, SWT.WRAP);
	}

	/** {@inheritDoc} */
	@Override
	public void handleEvent(Object eventSource) {
		if(eventSource == multilanguageTextElement){
//			getEntity().setMultiLanguageText(multilanguageTextElement.getMultilanguageText());
		}
	}
}
