/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.section.name;

import eu.etaxonomy.cdm.model.name.NonViralName;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.CheckboxElement;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;

/**
 * @author n.hoffmann
 * @created Jan 5, 2011
 * @version 1.0
 */
public class HybridDetailElement extends AbstractCdmDetailElement<NonViralName<?>> {

	private CheckboxElement checkboxMonomHybrid;
	private CheckboxElement checkboxBinomHybrid;
	private CheckboxElement checkboxTrinomHybrid;
	private CheckboxElement checkboxHybridFormula;

	/**
	 * @param formFactory
	 * @param formElement
	 */
	public HybridDetailElement(CdmFormFactory formFactory,
			ICdmFormElement formElement) {
		super(formFactory, formElement);
	}

	@Override
	protected void createControls(ICdmFormElement formElement, NonViralName<?> entity,
			int style) {
		checkboxMonomHybrid = formFactory.createCheckbox(formElement, "Monom hybrid", entity.isMonomHybrid(), style);
		checkboxBinomHybrid = formFactory.createCheckbox(formElement, "Binom hybrid", entity.isBinomHybrid(), style);
		checkboxTrinomHybrid = formFactory.createCheckbox(formElement, "Trinom hybrid", entity.isTrinomHybrid(), style);
		checkboxHybridFormula = formFactory.createCheckbox(formElement, "Hybrid formula", entity.isHybridFormula(), style);
		checkboxHybridFormula.setEnabled(false);//read-only
	}

	@Override
	public void handleEvent(Object eventSource) {
		if(eventSource == checkboxMonomHybrid){
			getEntity().setMonomHybrid(checkboxMonomHybrid.getSelection());
		}
		else if(eventSource == checkboxBinomHybrid){
			getEntity().setBinomHybrid(checkboxBinomHybrid.getSelection());
		}
		else if(eventSource == checkboxTrinomHybrid){
			getEntity().setTrinomHybrid(checkboxTrinomHybrid.getSelection());
		}
	}

}
