/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.section.occurrence;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.occurrence.Collection;
import eu.etaxonomy.taxeditor.ui.element.AbstractCdmEntityWizardPage;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;

/**
 * <p>CollectionWizardPage class.</p>
 *
 * @author n.hoffmann
 * @created Oct 13, 2010
 * @version 1.0
 */
public class CollectionWizardPage extends AbstractCdmEntityWizardPage<Collection> {

	/**
	 * <p>Constructor for CollectionWizardPage.</p>
	 *
	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.element.CdmFormFactory} object.
	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
	 * @param entity a {@link eu.etaxonomy.cdm.model.occurrence.Collection} object.
	 */
	public CollectionWizardPage(CdmFormFactory formFactory,
			ConversationHolder conversation, Collection entity) {
		super(formFactory, conversation, entity);
		setPageComplete(true);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.ui.forms.AbstractCdmEntityWizardPage#checkComplete()
	 */
	@Override
	protected void checkComplete() {
		setPageComplete(true);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.AbstractCdmEntityWizardPage#createElement(eu.etaxonomy.taxeditor.forms.ICdmFormElement)
	 */
	/** {@inheritDoc} */
	@Override
	public AbstractCdmDetailElement<Collection> createElement(ICdmFormElement rootElement) {
		CollectionDetailElement collectionDetailElement = formFactory.createCollectionDetailElement(rootElement);
		collectionDetailElement.setEntity(entity);
		return collectionDetailElement;
	}

}
