/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.section.occurrence;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.api.facade.DerivedUnitFacade;
import eu.etaxonomy.taxeditor.ui.element.AbstractCdmEntityWizardPage;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;

/**
 * @author n.hoffmann
 * @created Dec 17, 2010
 * @version 1.0
 */
public class DerivedUnitGeneralWizardPage extends AbstractCdmEntityWizardPage<DerivedUnitFacade> {

	public DerivedUnitGeneralWizardPage(CdmFormFactory formFactory,
			ConversationHolder conversation, DerivedUnitFacade entity) {
		super(formFactory, conversation, entity);
		setTitle("General Specimen Data");
	}

	@Override
	protected void checkComplete() {
		setPageComplete(true);
	}

	@Override
	public AbstractCdmDetailElement<DerivedUnitFacade> createElement(ICdmFormElement rootElement) {
		DerivedUnitGeneralDetailElement detailElement = formFactory.createDerivedUnitGeneralDetailElement(rootElement);
		detailElement.setShowSpecimenType(false);
		detailElement.setEntity(getEntity());
		checkComplete();
		return detailElement;
	}

}
