/**
* Copyright (C) 2014 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.ui.section.occurrence;

import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection;

/**
 * @author pplitzner
 * @date 27.01.2014
 *
 */
public class EmptySection extends AbstractCdmDetailSection<Object> {

    /**
     * <p>Constructor for DerivedUnitFacadeDetailSection.</p>
     *
     * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.element.CdmFormFactory} object.
     * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
     * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.element.ICdmFormElement} object.
     * @param selectionProvider a {@link org.eclipse.jface.viewers.ISelectionProvider} object.
     * @param style a int.
     */
    public EmptySection(CdmFormFactory formFactory, ICdmFormElement parentElement, int style) {
        super(formFactory, null, parentElement, null, style);
    }

    /** {@inheritDoc} */
    @Override
    public String getHeading() {
        return "No details view implemented for this element";
    }

    /* (non-Javadoc)
     * @see eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection#createCdmDetailElement(eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection, int)
     */
    @Override
    protected AbstractCdmDetailElement<Object> createCdmDetailElement(AbstractCdmDetailSection<Object> parentElement, int style) {
        return formFactory.createEmptyElement(parentElement, null);
    }
}
