/**
* Copyright (C) 2013 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.ui.section.occurrence.derivedUnit;

import org.eclipse.jface.viewers.ISelectionProvider;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection;

/**
 * @author pplitzner
 * @date 17.12.2013
 *
 */
public class PreservedSpecimenGeneralDetailSection extends AbstractCdmDetailSection<DerivedUnit> {

    /**
     * @param formFactory
     * @param conversation
     * @param parentElement
     * @param selectionProvider
     * @param style
     */
    public PreservedSpecimenGeneralDetailSection(CdmFormFactory formFactory,
            ConversationHolder conversation, ICdmFormElement parentElement,
            ISelectionProvider selectionProvider, int style) {
        super(formFactory, conversation, parentElement, selectionProvider, style);
    }


    /* (non-Javadoc)
     * @see eu.etaxonomy.taxeditor.section.AbstractCdmDetailSection#getHeading()
     */
    @Override
    public String getHeading() {
        return "General Specimen";
    }

    /* (non-Javadoc)
     * @see eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection#createCdmDetailElement(eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection, int)
     */
    @Override
    protected AbstractCdmDetailElement<DerivedUnit> createCdmDetailElement(AbstractCdmDetailSection<DerivedUnit> parentElement, int style) {
        return formFactory.createPreservedSpecimenGeneralDetailElement(parentElement);
    }
}
