/**
* Copyright (C) 2013 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.ui.section.occurrence.media;

import org.eclipse.jface.action.ToolBarManager;
import org.eclipse.jface.viewers.ISelectionProvider;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Control;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.occurrence.MediaSpecimen;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection;
import eu.etaxonomy.taxeditor.ui.section.media.ITogglableMediaElement;
import eu.etaxonomy.taxeditor.ui.section.media.MediaViewSwitch;

/**
 * @author pplitzner
 * @date 12.12.2013
 *
 */
public class MediaSpecimenGeneralDetailSection extends AbstractCdmDetailSection<MediaSpecimen> {

    private ITogglableMediaElement togglableMediaElement;

    public MediaSpecimenGeneralDetailSection(CdmFormFactory formFactory,
            ConversationHolder conversation, ICdmFormElement parentElement,
            ISelectionProvider selectionProvider, int style) {
        super(formFactory, conversation, parentElement, selectionProvider, style);
    }

    @Override
    public String getHeading() {
        return "General";
    }

    @Override
    public void setText(String title) {
            super.setText(title);
    }

    @Override
    protected AbstractCdmDetailElement<MediaSpecimen> createCdmDetailElement(AbstractCdmDetailSection<MediaSpecimen> parentElement, int style) {
        MediaSpecimenGeneralDetailElement mediaSpecimenGeneralDetailElement = formFactory.createMediaSpecimenGeneralDetailElement(parentElement);
        togglableMediaElement = mediaSpecimenGeneralDetailElement;
        return mediaSpecimenGeneralDetailElement;
    }

    @Override
    protected Control createToolbar() {
        ToolBarManager toolBarManager = new ToolBarManager(SWT.FLAT);
        toolBarManager.add(MediaViewSwitch.createSwitch(togglableMediaElement));
        return toolBarManager.createControl(this);
    }


}
