/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.section.supplemental;

import eu.etaxonomy.cdm.model.common.VersionableEntity;
import eu.etaxonomy.taxeditor.ui.element.AbstractFormSection;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;

/**
 * <p>VersionSection class.</p>
 *
 * @author n.hoffmann
 * @created Mar 2, 2010
 * @version 1.0
 */
public class VersionSection extends AbstractFormSection<VersionableEntity>{

	private VersionElement versionElement;
	
	
	/**
	 * <p>Constructor for VersionSection.</p>
	 *
	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.element.CdmFormFactory} object.
	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.element.ICdmFormElement} object.
	 * @param style a int.
	 */
	public VersionSection(CdmFormFactory cdmFormFactory, ICdmFormElement parentElement,
			int style) {
		super(cdmFormFactory, parentElement, style);
		versionElement = cdmFormFactory.createVersionElement(this, null, style);
	}
	
	
	/** {@inheritDoc} */
	@Override
	public void setEntity(VersionableEntity entity) {
		super.setEntity(entity);
		versionElement.setEntity(entity);
	}
}
