/**
* Copyright (C) 2015 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.ui.section.vocabulary;

import org.eclipse.swt.events.SelectionListener;
import org.eclipse.swt.graphics.Color;

import eu.etaxonomy.cdm.model.common.TermType;
import eu.etaxonomy.cdm.model.common.TermVocabulary;
import eu.etaxonomy.cdm.model.description.Feature;
import eu.etaxonomy.cdm.model.description.State;
import eu.etaxonomy.taxeditor.ui.combo.VocabularyComboElement;
import eu.etaxonomy.taxeditor.ui.element.AbstractFormSection;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement;

/**
 * @author pplitzner
 * @date Apr 27, 2015
 *
 */
public class StateVocabularyCollectionElement extends AbstractEntityCollectionElement<TermVocabulary<State>> {


    private VocabularyComboElement<State, TermVocabulary<State>> comboStateVocabulary;

    /**
     * @param formFactory
     * @param section
     * @param entity
     * @param removeListener
     * @param isChoosableEntity
     * @param backgroundColor
     * @param style
     */
    public StateVocabularyCollectionElement(CdmFormFactory formFactory, AbstractFormSection section, TermVocabulary<State> entity,
            SelectionListener removeListener, Color backgroundColor, int style) {
        super(formFactory, section, entity, removeListener, backgroundColor, style);

    }

    @Override
    public void createControls(ICdmFormElement element, int style) {
        comboStateVocabulary = formFactory.createVocabularyComboElement(TermType.State, "State vocabulary", null, element, style);
    }

    @Override
    public void setEntity(TermVocabulary<State> entity) {
        this.entity = entity;
        if(entity.getId()!=0){
            comboStateVocabulary.setSelection(entity);
            comboStateVocabulary.removeEmptyElement();
        }
    }

    @Override
    public void handleEvent(Object eventSource) {
        if(eventSource==comboStateVocabulary && comboStateVocabulary.getSelection()!=null){
            if(getParentElement() instanceof StateVocabularyCollectionSection){
                StateVocabularyCollectionSection parentElement = (StateVocabularyCollectionSection) getParentElement();
                Feature feature = parentElement.getEntity();
                feature.removeSupportedCategoricalEnumeration(entity);
                TermVocabulary<State> vocabulary = comboStateVocabulary.getSelection();
                feature.addSupportedCategoricalEnumeration(vocabulary);
                entity = vocabulary;
                //update the parent section to re-set the listeners to the persisted measurement unit
                parentElement.removeElementAndUpdate(null);
            }
        }
    }

}
