/**
 *
 */
package eu.etaxonomy.taxeditor.ui.selection;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.agent.TeamOrPersonBase;
import eu.etaxonomy.cdm.model.common.CdmBase;
import eu.etaxonomy.cdm.model.reference.Reference;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;

public class EntitySelectionElementWithAbbreviatedTitle<T extends CdmBase> extends EntitySelectionElement<T> {

	/**
     * @param formFactory
     * @param conversation
     * @param parentElement
     * @param clazz
     * @param labelString
     * @param entity
     * @param mode
     * @param style
     */
    public EntitySelectionElementWithAbbreviatedTitle(CdmFormFactory formFactory, ConversationHolder conversation,
            ICdmFormElement parentElement, Class<T> clazz, String labelString, T entity, int mode, int style) {
        super(formFactory, conversation, parentElement, clazz, labelString, entity, mode, style);
    }

    @Override
    protected String getTitle() {
		if (entity != null){
		    if(entity instanceof TeamOrPersonBase) {
		        return ((TeamOrPersonBase) entity).getNomenclaturalTitle();
		    } else if(entity instanceof Reference){
		        return ((Reference) entity).getAbbrevTitleCache();
		    } else{
		        return super.getTitle();
		    }
		}
		return "";
	}
}
