/**
* Copyright (C) 2009 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.ui.selection;

import org.eclipse.swt.events.SelectionEvent;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.common.CdmUtils;
import eu.etaxonomy.cdm.model.taxon.Classification;
import eu.etaxonomy.cdm.model.taxon.TaxonNode;
import eu.etaxonomy.taxeditor.ui.dialog.selection.TaxonNodeSelectionDialog;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;

/**
 * @author n.hoffmann
 * @date Jan 26, 2012
 *
 */
public class TaxonNodeSelectionElement extends EntitySelectionElement<TaxonNode> {

	private Classification classification;

	public TaxonNodeSelectionElement(CdmFormFactory formFactory,
			ConversationHolder conversation, ICdmFormElement parentElement,
			String labelString, TaxonNode entity, int mode, int style) {
		super(formFactory, conversation, parentElement, TaxonNode.class, labelString, entity, mode,
				style);
	}

	/**
	 * @return
	 */
	public Classification getClassification() {
		return classification;
	}

	public void setClassification(Classification classification){
		this.classification = classification;
	}

	/*
	 * (non-Javadoc)
	 *
	 * @see
	 * org.eclipse.swt.events.SelectionListener#widgetSelected(org.eclipse.swt
	 * .events.SelectionEvent)
	 */
	/** {@inheritDoc} */
	@Override
	public void widgetSelected(SelectionEvent e) {
		TaxonNode newSelection = TaxonNodeSelectionDialog.select(getShell(),
				getConversationHolder(), "Select parent taxon", null, null, getClassification());
		setSelectionInternal(newSelection);
	}

	/*
	 * (non-Javadoc)
	 *
	 * @see
	 * eu.etaxonomy.taxeditor.forms.selection.AbstractSelectionElement#getTitle
	 * ()
	 */
	/** {@inheritDoc} */
	@Override
	protected String getTitle() {
		if (getEntity() != null && getEntity().getTaxon() != null) {
			return CdmUtils.Nz(getEntity().getTaxon().getTitleCache());
		}
		return super.getTitle();
	}

}
