/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.translation;

import eu.etaxonomy.cdm.model.common.Language;

/**
 * <p>ITranslationServiceWrapper interface.</p>
 *
 * @author n.hoffmann
 * @created Oct 21, 2010
 * @version 1.0
 */
public interface ITranslationServiceWrapper {

	/**
	 * <p>translate</p>
	 *
	 * @param text a {@link java.lang.String} object.
	 * @param source a {@link eu.etaxonomy.cdm.model.common.Language} object.
	 * @param target a {@link eu.etaxonomy.cdm.model.common.Language} object.
	 * @return a {@link java.lang.String} object.
	 * @throws eu.etaxonomy.taxeditor.ui.translation.LanguageNotSupportedException if any.
	 */
	public String translate(String text, Language source, Language target) throws LanguageNotSupportedException;
	
}
