/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.translation;

import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.custom.SashForm;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Display;

import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.LayoutConstants;

/**
 * <p>TranslationMetaDataWizardPage class.</p>
 *
 * @author n.hoffmann
 * @created Sep 29, 2010
 * @version 1.0
 */
public class TranslationMetaDataWizardPage extends WizardPage {

	private CdmFormFactory formFactory;

	/**
	 * <p>Constructor for TranslationMetaDataWizardPage.</p>
	 */
	protected TranslationMetaDataWizardPage() {
		super("TranslationMetaDataWizardPage");
		setTitle("See information about existing translations");
				
		formFactory = new CdmFormFactory(Display.getCurrent());
	}
	
	/* (non-Javadoc)
	 * @see org.eclipse.jface.dialogs.IDialogPage#createControl(org.eclipse.swt.widgets.Composite)
	 */
	/** {@inheritDoc} */
	@Override
	public void createControl(Composite parent) {
		Composite control = formFactory.createComposite(parent);
//		control.setBackground(Display.getCurrent().getSystemColor(SWT.COLOR_GREEN));
		control.setLayout(LayoutConstants.LAYOUT(1, false));
		SashForm sash = new SashForm(control, SWT.HORIZONTAL);
		sash.setLayoutData(LayoutConstants.FILL());
		
		setControl(control);
	}
}
