/**
* Copyright (C) 2014 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.view.dataimport;

import java.util.Collection;

import org.apache.log4j.Logger;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.ui.IEditorInput;
import org.eclipse.ui.IPersistableElement;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.ext.occurrence.OccurenceQuery;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * Input for {@link DataImportEditor}. This class queries a data source for
 * occurrences and passes them to the editor.
 *
 * @author pplitzner
 * @date 25.02.2014
 *
 */
public abstract class DataImportEditorInput<T> implements IEditorInput {

    protected static Logger logger = Logger.getLogger(DataImportEditorInput.class);

    private Collection<T> results;

    private final ConversationHolder conversationHolder;

    protected OccurenceQuery query;

    public DataImportEditorInput() {
        this.conversationHolder = CdmStore.createConversation();
    }

    @Override
    public Object getAdapter(Class adapter) {
        // TODO Auto-generated method stub
        return null;
    }

    @Override
    public boolean exists() {
        return false;
    }

    @Override
    public ImageDescriptor getImageDescriptor() {
        // TODO Auto-generated method stub
        return null;
    }

    @Override
    public IPersistableElement getPersistable() {
        return null;
    }

    public Collection<T> getResults() {
        return results;
    }

    public void setResults(Collection<T> results) {
        this.results = results;
    }

    public ConversationHolder getConversationHolder() {
        return conversationHolder;
    }

    @Override
    public abstract int hashCode();

    @Override
    public abstract boolean equals(Object obj);


    public abstract void query();
}
