/**
* Copyright (C) 2014 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.view.dataimport;

import java.io.IOException;
import java.net.URISyntaxException;
import java.util.Collection;

import org.apache.http.client.ClientProtocolException;

import eu.etaxonomy.cdm.ext.occurrence.gbif.GbifQueryServiceWrapper;
import eu.etaxonomy.cdm.ext.occurrence.gbif.GbifResponse;

/**
 * @author pplitzner
 * @date Sep 5, 2014
 *
 */
public class GbifResponseImportView extends DataImportView<GbifResponse> {


    public static final String ID = "eu.etaxonomy.taxeditor.view.dataimport.GbifResponseImportView";

    /* (non-Javadoc)
     * @see eu.etaxonomy.taxeditor.view.dataimport.DataImportView#getTextForTableItem(java.lang.Object)
     */
    @Override
    protected String getTextForTableItem(GbifResponse item) {
        String text = "";
        if(item.getDataSetProtocol()!=null){
            text += "["+item.getDataSetProtocol()+"] ";
        }
        text += item.getDerivedUnitFacade().innerDerivedUnit().generateTitle();
        return text;
    }

    /* (non-Javadoc)
     * @see eu.etaxonomy.taxeditor.view.dataimport.DataImportView#query()
     */
    @Override
    public void query() {
        String errorMessage = "Could not execute query " + query;
        try{
            //Collection<GbifResponse> results = new GbifQueryServiceWrapper().query(query);
            //setResults(results);

           // String errorMessage = "Could not execute query " + query;

       //     Collection<SpecimenOrObservationBase<?>> results = new ArrayList<SpecimenOrObservationBase<?>>();
                Collection<GbifResponse> results = new GbifQueryServiceWrapper().query(query);

                setResults(results);


//
               // results = repo.getUnits();

            } catch (ClientProtocolException e) {
                logger.error(errorMessage, e);
            } catch (IOException e) {
                logger.error(errorMessage, e);
            } catch (URISyntaxException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
        }

//            setResults(results);
//
//        }
//        } catch (ClientProtocolException e) {
//            logger.error(errorMessage, e);
//        } catch (IOException e) {
//            logger.error(errorMessage, e);
//        } catch (URISyntaxException e) {
//            logger.error(errorMessage, e);
//        }

  //  }






}
