/**
* Copyright (C) 2013 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.view.dataimport;

import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;

/**
 * Extension of {@link DataImportEditor} to display and import objects of type {@link SpecimenOrObservationBase}.
 * @author pplitzner
 * @date 20.09.2013
 *
 */
public class SpecimenImportEditor extends DataImportEditor<SpecimenOrObservationBase<?>> {

    public static final String ID = "eu.etaxonomy.taxeditor.view.dataimport.SpecimenImportEditor";

    /**
     * Required for extension point
     */
    public SpecimenImportEditor() {
        super();
    }

    /* (non-Javadoc)
     * @see eu.etaxonomy.taxeditor.view.dataimport.DataImportEditor#getTextForTableItem(eu.etaxonomy.cdm.model.common.IIdentifiableEntity)
     */
    @Override
    protected String getTextForTableItem(SpecimenOrObservationBase<?> item) {
        return item.generateTitle();
    }
}
